<script src="https://cdnjs.cloudflare.com/ajax/libs/list.js/1.5.0/list.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
<script>
    var openPopups = []
    var highestZIndex = 100;
    function show_newapp(d)
    {
        var popup = document.getElementById(d);
        popup.style.display = 'block';
        popup.style.zIndex = highestZIndex++;

        if (openPopups.indexOf(d) === -1) {
            openPopups.push(d);
        }
    }
    function hide_newapp()
    {
        for (let popupId of openPopups){
            document.getElementById(popupId).style.display = 'none';
        }
        openPopups = [];
    }
    function do_form(form)
    {
        document.getElementById(form).submit();
    }
    function do_instance(action, instance)
    {
        window.location.href = '?a=' + action +'/' + instance;
    }
    function do_transfer(triplette, src, dst)
    {
        window.location.href = '?a=copy/' + src + '/' + triplette
                             + '/' + dst + '/' + triplette;
    }
</script>
